﻿using Edu.Common.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edu.Common.API
{
    /// <summary>
    /// API请求参数
    /// </summary>
    public class RequestParm
    {

        /// <summary>
        /// 命令
        /// </summary>
        public string Cmd { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public string Uid { get; set; }
        /// <summary>
        /// 请求消息
        /// </summary>
        public object Msg { get; set; }

        /// <summary>
        /// 请求时间戳
        /// </summary>
        public string Timestamp { get; set; }

        /// <summary>
        /// 签名
        /// </summary>
        public string Sign { get; set; }

        /// <summary>
        /// token信息
        /// </summary>
        public string Token { get; set; }

        /// <summary>
        /// 客户端版本
        /// </summary>
        public string Version { get; set; }
    }
}
