﻿
namespace Edu.Common.Enum
{
    /// <summary>
    /// 缓存时间（秒）
    /// </summary>
    public enum CacheTimeEnum
    {
        /// <summary>
        /// 30秒
        /// </summary>
        HalfMinute = 30,
        /// <summary>
        /// 一分钟
        /// </summary>
        OneMinute = 60,
        /// <summary>
        /// 五分钟
        /// </summary>
        FiveMinute = 300,
        /// <summary>
        /// 十分钟
        /// </summary>
        TenMinute = 600,

        /// <summary>
        /// 30分钟
        /// </summary>
        ThirtyMinute=30*60,

        /// <summary>
        /// 一小时
        /// </summary>
        OneHour = 3600,
        /// <summary>
        /// 一天
        /// </summary>
        OneDay = 86400,
        /// <summary>
        /// 一周
        /// </summary>
        OneWeek = 604800,
        /// <summary>
        /// 一月
        /// </summary>
        OneMonth = 2592000
    }
}